/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workcatalogueitem.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.sys.utils.UserUtils;

/**
 * 物品目录Entity
 * @author chenyuping
 * @version 2018-07-10
 */
public class WorkCatalogueItem extends DataEntity<WorkCatalogueItem> {
	
	private static final long serialVersionUID = 1L;
	private String name;		// 物品名称
	private String number;		// 物品编号
	private String type;		// 物品类型
	private String model;		// 规格型号
	private String primaryUnit;		// 计量单位
	private String isAssets;		// 是否固定资产
	private String removeFlat;		// 移除标记(0:正常1：移除)
	private String officeId;
	private String companyId;
	private String branchOffice;

	public String getBranchOffice() {
		return branchOffice;
	}

	public void setBranchOffice(String branchOffice) {
		this.branchOffice = branchOffice;
	}

	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}


	public WorkCatalogueItem() {
		super();
	}

	public WorkCatalogueItem(String id){
		super(id);
	}

	@ExcelField(title="物品名称", align=2, sort=7)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="物品编号", align=2, sort=8)
	public String getNumber() {
		return number;
	}

	public void setNumber(String number) {
		this.number = number;
	}
	
	@ExcelField(title="物品类型", mainDictType="item_type", align=2, sort=9)
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
	
	@ExcelField(title="规格型号", align=2, sort=10)
	public String getModel() {
		return model;
	}

	public void setModel(String model) {
		this.model = model;
	}
	
	@ExcelField(title="计量单位", mainDictType="full_count_unit", align=2, sort=11)
	public String getPrimaryUnit() {
		return primaryUnit;
	}

	public void setPrimaryUnit(String primaryUnit) {
		this.primaryUnit = primaryUnit;
	}
	
	@ExcelField(title="是否固定资产", dictType="", align=2, sort=12)
	public String getIsAssets() {
		return isAssets;
	}

	public void setIsAssets(String isAssets) {
		this.isAssets = isAssets;
	}

	public String getRemoveFlat() {
		return removeFlat;
	}

	public void setRemoveFlat(String removeFlat) {
		this.removeFlat = removeFlat;
	}
	
}